# NOTE: Derived from blib/lib/Net/EasyTCP.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Net::EasyTCP;

#line 2735 "blib/lib/Net/EasyTCP.pm (autosplit into blib/lib/auto/Net/EasyTCP/close.al)"
#
# This method closes the socket associated with the object
#
sub close {
	my $self = shift;
	if ($self->{_mode} ne "client" && $self->{_mode} ne "serverclient") {
		$@ = "$self->{_mode} cannot use method close()";
		return undef;
	}
	if ($self->{_selector} && $self->{_selector}->exists($self->{_sock})) {

		# If the server selector reads this, let's make it not...
		$self->{_selector}->remove($self->{_sock});
	}
	$self->{_sock}->close() if defined $self->{_sock};
	$self->{_sock}       = undef;
	$self->{_data}       = [];
	$self->{_databuffer} = undef;
	return 1;
}

# end of Net::EasyTCP::close
1;
