# NOTE: Derived from blib/lib/Net/EasyTCP.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Net::EasyTCP;

#line 2815 "blib/lib/Net/EasyTCP.pm (autosplit into blib/lib/auto/Net/EasyTCP/clients.al)"
#
# This returns an array of all the clients connected to a server in array context
# or the number of clients in scalar context
# or undef if there are no clients or error
#
sub clients {
	my $self = shift;
	my @clients;
	if ($self->{_mode} ne "server") {
		$@ = "$self->{_mode} cannot use method clients()";
		return undef;
	}
	foreach (values %{ $self->{_clients} }) {
		if (!$_->{_negotiating}) {
			push (@clients, $_);
		}
	}
	if (@clients) {
		return wantarray ? @clients : scalar @clients;
	}
	else {
		return undef;
	}
}

# end of Net::EasyTCP::clients
1;
